Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 155748 - System hangs during the SATA_SIL Detection
Summary: System hangs during the SATA_SIL Detection
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: 4
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jeff Garzik
QA Contact: Brian Brock
URL:
Whiteboard:
: 155752 155753 (view as bug list)
Depends On:
Blocks: FC4Blocker
TreeView+ depends on / blocked
 
Reported: 2005-04-22 18:40 UTC by Armel Kermorvant
Modified: 2013-07-03 02:24 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-06-28 18:05:43 UTC


Attachments (Terms of Use)

Description Armel Kermorvant 2005-04-22 18:40:29 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; fr-FR; rv:1.7.6) Gecko/20050328 Fedora/1.7.6-1.2.5

Description of problem:
The system habgs during the Hardware detection on SATA_SIL module with ATI Chipset RS480


Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.boot on the media (CD or DVD)
2.press Enter at the linux prompt
3.skip the media verification (more faster ;-) )
4.the system hangs after 30 seconds  

Actual Results:  Impossibility installation of Fedora core4 Test 2 with the ATI chipset

Expected Results:  Fixe this issue before the final release of FC4, or a workarround to solve this issue (new cd installation)

Additional info:

The motherboard come from MSI with AMD CPU ChipSet ATI RS480 with 2 Sata controler
Vendor id 0x1002
pnp id's 0x4379 and 0437a

This pnp is not present on the pcitable

At the prompt if I type linux noprobe the system continue, I choose manualy the Sata Controler (SATA_SIL) but the system doesn't detect my seagate hard drive (200Go)

Comment 1 Chris Lumens 2005-04-22 19:13:48 UTC
*** Bug 155752 has been marked as a duplicate of this bug. ***

Comment 2 Chris Lumens 2005-04-22 19:14:39 UTC
*** Bug 155753 has been marked as a duplicate of this bug. ***

Comment 3 Armel Kermorvant 2005-05-04 21:23:21 UTC
Do you have any news about this issue ?

If you need may hardware support, please contact me.

Thanks your support

Armel

Comment 4 Armel Kermorvant 2005-05-11 14:36:43 UTC
Good afternoon,

I check the current bug on the FC4 Test 3 and it's present, no solve.
During the boot, the system check SATA_SIL driver and he doesn't detect the Sata
Hard Drive.
I check with 2 differents Hard Drive (Maxtor 300 Go and Segeate 40Go) same think.

Please help me, I receive some motherboard with this chipset and it's impssible
I install Fedore on it.
If you need some think about this issue, please contact me.

Have a nice day




Comment 5 Armel Kermorvant 2005-05-12 13:47:52 UTC
Good Afternoon,

I continue my investigation about this bug, and I have a good news :
The Sata Controler with the 0x4379 works fine (it's the second Sata controler),
and I install FC4 Test 3 but the first controler (0x437a) the hard drive on this
controler doesn't appear, please read below the result with lspci command :

00:00.0 Host bridge: ATI Technologies Inc: Unknown device 5950 (rev 01)
00:01.0 PCI bridge: ATI Technologies Inc: Unknown device 5a3f
00:02.0 PCI bridge: ATI Technologies Inc: Unknown device 5a34
00:11.0 IDE interface: ATI Technologies Inc ATI 437A Serial ATA Controller
00:12.0 IDE interface: ATI Technologies Inc ATI 4379 Serial ATA Controller
00:13.0 USB Controller: ATI Technologies Inc: Unknown device 4374
00:13.1 USB Controller: ATI Technologies Inc: Unknown device 4375
00:13.2 USB Controller: ATI Technologies Inc: Unknown device 4373
00:14.0 SMBus: ATI Technologies Inc ATI SMBus (rev 10)
00:14.1 IDE interface: ATI Technologies Inc Standard Dual Channel PCI IDE
Controller ATI
00:14.3 ISA bridge: ATI Technologies Inc: Unknown device 4377
00:14.4 PCI bridge: ATI Technologies Inc: Unknown device 4371
00:14.5 Multimedia audio controller: ATI Technologies Inc: Unknown device 4370
(rev 01)
00:18.0 Host bridge: Advanced Micro Devices [AMD] K8 [Athlon64/Opteron]
HyperTransport Technology Configuration
00:18.1 Host bridge: Advanced Micro Devices [AMD] K8 [Athlon64/Opteron] Address Map
00:18.2 Host bridge: Advanced Micro Devices [AMD] K8 [Athlon64/Opteron] DRAM
Controller
00:18.3 Host bridge: Advanced Micro Devices [AMD] K8 [Athlon64/Opteron]
Miscellaneous Control
01:05.0 VGA compatible controller: ATI Technologies Inc: Unknown device 5954
02:00.0 VGA compatible controller: ATI Technologies Inc RV370 5B60 [Radeon X300
(PCIE)]
02:00.1 Display controller: ATI Technologies Inc: Unknown device 5b70
03:03.0 Ethernet controller: Realtek Semiconductor Co., Ltd.
RTL-8139/8139C/8139C+ (rev 10)
03:04.0 FireWire (IEEE 1394): VIA Technologies, Inc. IEEE 1394 Host Controller
(rev 80)

All informations come from ATI RS480 system

Is it possible you fixe the issue now.

Best regards

Armelk

Comment 6 Armel Kermorvant 2005-05-17 08:37:34 UTC
Good Morning,

I install the Kernel Source (kernel-2.6.11-1.1305_FC4.src.rpm) and I check into
the SATA_SIL.c, the 0x437a is missing.
I copy below the source about this issue :
static struct pci_device_id sil_pci_tbl[] = {
	{ 0x1095, 0x3112, PCI_ANY_ID, PCI_ANY_ID, 0, 0, sil_3112 },
	{ 0x1095, 0x0240, PCI_ANY_ID, PCI_ANY_ID, 0, 0, sil_3112 },
	{ 0x1095, 0x3512, PCI_ANY_ID, PCI_ANY_ID, 0, 0, sil_3112 },
	{ 0x1095, 0x3114, PCI_ANY_ID, PCI_ANY_ID, 0, 0, sil_3114 },
	{ 0x1002, 0x436e, PCI_ANY_ID, PCI_ANY_ID, 0, 0, sil_3112 },
	{ 0x1002, 0x4379, PCI_ANY_ID, PCI_ANY_ID, 0, 0, sil_3112 },
	{ }	/* terminate list */
};

Is it possible you implement into this file this line avout the 1st ATI RS480 SATA.
{ 0x1002, 0x437a, PCI_ANY_ID, PCI_ANY_ID, 0, 0, sil_3112 },

I hope you have a time to modifie this driver for the final version.
My second controler works fine, but the 1st doesn't detect my HDD

Thanks again for your support

Best regards

Armel

Comment 7 Dave Jones 2005-05-23 23:34:02 UTC
fixed in CVS, will be in a build soon.


Comment 8 Dave Jones 2005-06-27 23:14:35 UTC
Mass update for bugs reported against -test:
Updating version field to FC4 final. Please retest with final FC4 release if you
have not already done so. Thanks.

Comment 9 Dave Jones 2005-06-27 23:27:48 UTC
Mass update of -test bugs to update version to fc4.
(Please retest on final release, and report results if you have not already done
so).

Thanks.

Comment 10 Armel Kermorvant 2005-06-28 09:20:09 UTC
Hi Dave,
sorry for my late feedback.
Great news, the system works fine with this chipset(Installationwith CD or NFS),
please close it.
Again, thanks for your support

Armelk

Comment 11 Abhijit 2005-07-19 16:51:12 UTC
Hi,
I am running the following system :
Seagate Barracuda SATA hard drive 120 GB
512 MB DDR RAM
16x DVD drive
AMD AThlon 64 3200+
Motherboard MSI RS480

Fedora Core 4 installation hangs on my PC while installing sata_sil. When my
drive is connected to SATA 1 or 2, I get a message : "Disabling IRQ 10" and then
the pc hangs. When connected to SATA 3 or 4, the pc hangs while trying to
install sata_sil.

I have the latest release of Fedora Core and am intalling a fresh copy from a DVD.

Thanking you,
Abhijit


Note You need to log in before you can comment on or make changes to this bug.